# Function Input

- Input<T extends string>(
  props: Omit<InputHTMLAttributes<HTMLInputElement>, "prefix"> & InputCustomProps<
  T,
  > & RefAttributes<HTMLInputElement>,
  ): ReactElement

- #### Type Parameters

  - T extends string

  #### Parameters

  - props: Omit<InputHTMLAttributes<HTMLInputElement>, "prefix"> & InputCustomProps<T> & RefAttributes<
    HTMLInputElement,
    >

  #### Returns ReactElement

  - Defined in src/components/form/input/Input.tsx:165